---

## todo: find if default should be true or false
discourse_create_self_signed_cert: "true"
discourse_ssl_certificate: "ssl.crt"
discourse_ssl_certificate_key: "ssl.key"
discourse_self_signed_cert_subj: "/C=FR/ST=Bas-Rhin/L=Illkirch/O=POC/CN=community-dev"

discourse_db_shared_buffers: '"768MB"'
discourse_unicorn_workers: '2'
discourse_host_name: "{{ansible_fqdn}}"
discourse_admin_email: 'discourse-gitlab@france-bioinformatique.fr'

smtp_server: "192.168.103.247"
smtp_port: 25

discourse_url: discourse-gitlab-dev.dev.ifb.local
discourse_url_alias: []
discourse_from_email_for_registration: "discourse-gitlab@france-bioinformatique.fr"

### INSTALLATION DISCOURSE

## Main discourse docker location.
discourse_docker_path: /var/discourse

## Git url to pull discourse_docker from.
discourse_docker_git_repo: 'https://github.com/discourse/discourse_docker.git'

## Which Git revision should this container use? (default: tests-passed)
## You can use one of three branches: 'stable', 'tests-passed' and 'master'
## Read more: https://meta.discourse.org/t/change-tracking-branch-for-your-discourse-instance/17014/1
#####
discourse_git_branch: 'stable'

## Enable plugins here. This is a list. Make sure the repository is public.
## Example:
## discourse_plugins:
##   - https://github.com/username/plugin1.git
##   - https://gitlab.com/username/plugin2.git
####
#discourse_plugins: []
discourse_plugins:
   - https://github.com/discourse/discourse-solved.git
   - https://github.com/discourse/discourse-chat-integration.git
